
Katello - Bug #24088

puppet-capsule to puppet-foreman_proxy_content migration drops the puppet answer

06/27/2018 10:57 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Installer   

Target version: Katello 3.8.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 3.4.0

Bugzilla link: 1552200 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello-installer

/pull/652

  

Description

In the installer migration where puppet is migrated to a top level module, the puppet answer is dropped from foreman_proxy_content

while this is still an important answer.

Associated revisions

Revision c508e58d - 07/02/2018 11:49 AM - Ewoud Kohl van Wijngaarden 

Fixes #24088 - Keep puppet answer in foreman_proxy_content

This answer is still needed to determine whether the certs for puppet

integration need to be placed. We recalculate the value and only set it

if it should be disabled.

History

#1 - 06/27/2018 11:01 AM - Ewoud Kohl van Wijngaarden

- Category set to Installer

#2 - 06/27/2018 11:01 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/Katello/katello-installer/pull/652 added

#3 - 06/27/2018 05:39 PM - Andrew Kofink

- translation missing: en.field_release set to 349

#4 - 07/02/2018 05:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|c508e58d2251e5fdbfa8ced6f583c7e132320cff.

#5 - 07/12/2018 02:59 PM - Greg Sutcliffe

- Triaged set to No

- Found in Releases Katello 3.4.0 added
